Checks if any value satisfies a test. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Similar: [some], [every].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.some(x, fn);
// x:  an array
// fn: test function (v, i ,x)
```

```javascript
const array = require('extra-array');

var x = [1, 2, -3, -4];
array.some(x, v => v > 10);
// false

array.some(x, v => v < 0);
// true
```

### references

- [Array.prototype.some: MDN web docs](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/some)
- [any: Python](https://docs.python.org/3/library/functions.html#any)
- [Array.some: sugarjs](https://sugarjs.com/docs/#/Array/some)

[:running:]: https://npm.runkit.com/@extra-array/some
[:package:]: https://www.npmjs.com/package/@extra-array/some
[:moon:]: https://www.npmjs.com/package/@extra-array/some.min
[:ledger:]: https://unpkg.com/@extra-array/some/
[some]: https://github.com/nodef/extra-array/wiki/some
[every]: https://github.com/nodef/extra-array/wiki/every
[:vhs:]: https://asciinema.org/a/332132
